package com.wissamfawaz;

public class Executive extends Employee {
	protected double bonus;
	
	public Executive(String first, String last, String sSN, double payRate) {
		super(first, last, sSN, payRate);
		bonus = 0;
	}

	public void awardBonus(double amount) {
		bonus = amount;
	}
	
	@Override
	public double pay() {
		double amount = super.pay() + bonus;
		bonus = 0;
		return amount;
	}
	
	@Override
	public String toString() {
		return super.toString() + "\n" + 
				"Bonus: " + bonus;
	}
	
	
	
}
