package com.wissamfawaz;

public class Hourly extends Employee {
	protected int hrsWorked;
	
	public Hourly(String first, String last, String sSN, double payRate) {
		super(first, last, sSN, payRate);
		hrsWorked = 0;
	}

	public void updateHours(int hrs) {
		hrsWorked += hrs;
	}
	
	@Override
	public double pay() {
		double amount = super.pay() * hrsWorked;
		hrsWorked = 0;
		return amount;
	}
	
	@Override
	public String toString() {
		return super.toString() + "\n" + 
				"Hrs worked: " + hrsWorked;
	}
	
}
